# Class BlockStatusDamageAbAttr

This attribute will block any status damage that you put in the parameter.

#### Hierarchy (view full)

- BlockNonDirectDamageAbAttr
  - BlockStatusDamageAbAttr

- Defined in src/data/ability.ts:2130

#####
Index

### Constructors

constructor

### Properties

effects
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new BlockStatusDamageAbAttr(...effects): BlockStatusDamageAbAttr

- #### Parameters

  - `Rest` ...effects: StatusEffect []

    The status effect(s) that will be blocked from damaging the ability pokemon

  #### Returns BlockStatusDamageAbAttr

  Overrides BlockNonDirectDamageAbAttr.constructor

  - Defined in src/data/ability.ts:2136

## Properties

### `Private` effects

effects: StatusEffect []

- Defined in src/data/ability.ts:2131

### showAbility

showAbility: boolean

Inherited from BlockNonDirectDamageAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from BlockNonDirectDamageAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default

    The pokemon with the ability

  - passive: boolean

    N/A

  - cancelled: BooleanHolder

    Whether to cancel the status damage

  - args: any[]

    N/A

  #### Returns boolean

  Returns true if status damage is blocked

  Overrides BlockNonDirectDamageAbAttr.apply

  - Defined in src/data/ability.ts:2149

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from BlockNonDirectDamageAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from BlockNonDirectDamageAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137